MODULE work
integer ngl

integer n_param
real(8), allocatable :: param(:)

real(8), allocatable ::u(:,:), uPrime(:,:)

real(8), allocatable :: u0(:), u10(:), u20(:), u30(:)
real(8), allocatable :: uEnd(:), u1End(:), u2End(:), u3End(:)

!real(8), allocatable :: m(:,:)
real(8), allocatable :: m(:,:), kk(:,:)

real(8), allocatable :: f(:), g(:)
real(8), allocatable :: jf(:, :), jg(:, :), jg1(:, :)

real(8), allocatable :: p(:), dp(:)

!real(8), allocatable :: uExact(:), uError(:), uPrimeExact(:), uPrimeError(:)
real(8), allocatable :: uExact(:), uPrimeExact(:)

real(8) h
!real(8) e

integer kodm
real(8) niu

real(8) eps
integer lnit /20/		! Newton

real(8) prag /1D-11/	! pt. Elim

!              6.283185307179586476925286766559
real(8) pi2 / 6.283185307179586477_8/

! Raspuns liniar:
real(8) k, omega
real(8) c, zeta, oma
real(8) P0, omp
real(8) C10,C20,C1,C2,C11,C21,da,ust

real(8), allocatable :: om(:), aa(:), pp(:)

real(8) tEnd

real(8), allocatable :: fi(:,:)

END MODULE work